<?php
require_once 'Credenziali.php';

// invia il file .zip al Ministero delle Finanze

//define ("_Fatture730", "Fatture730_2015_cb3.zip");     //spostato in credenziali
error_log("File trattato          : "._Fatture730, 0);


echo "<p><h4>TRASFERIMENTO DELLE FATTURE PER IL 730 PRECOMPILATO AL MINISTERO</h4></p>";

error_log("carico in memoria il file "._Fatture730, 0);
$zipfile = implode("", file(_Fatture730)); 


$ws = _InvioTelematico_WSDL;
$SoapClientParam["location"] = $InvioTelematico; 

error_log("definisco il file wsdl ".$ws, 0);
echo $ws."<p> </p>";

error_log("definisco the soap server location ".$SoapClientParam["location"], 0);
echo $SoapClientParam["location"]."<p> </p>";


$client = new SoapClient($ws, $SoapClientParam);

echo "<p><h4>List of available SOAP functions</h4></p>";
$output = $client->__getFunctions();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";

echo "<p><h4>List of types described in the WSDL for the Web service</h4></p>";
$output = $client->__getTypes();
while (list ($key, $val) = each ($output) ) echo $val."<br />"; echo "<p> </p>";


echo "<p><h4>INIZIO TRASFERIMENTO DEL FILE</h4></p>";

error_log("inizio trasferimento del file", 0);
$output = $client->inviaFileMtom(Array
    (
    "nomeFileAllegato"       => _Fatture730,
    "pincodeInvianteCifrato" => $pincodeInvianteCifrato,
    "documento"              => $zipfile,
    "datiProprietario"       => $datiProprietario,
    "opzionale1"             => $Sede,
    "opzionale2"             => '0',
    "opzionale3"             => '0'
    ))
;


if (is_soap_fault($output))
    {
    $err = "SOAP Fault: (faultcode: {$output->faultcode}, faultstring: {$output->faultstring})";
    error_log("trasferimento terminato con errori", 0);
    echo "<p><h4>TRASFERIMENTO TERMINATO CON ERRORI</h4></p>"."<p>$err</p>";
    var_dump($output); echo "<p> </p>";
    trigger_error($err, E_USER_ERROR);
    }
else
    {
    error_log("trasferimento terminato", 0);
    echo "<p><h4>TRASFERIMENTO TERMINATO</h4></p>";

    $protocollo = $output->return->protocollo;
    echo $protocollo."<p> </p>";

    ReportOutput("protocollo");
    ReportOutput("dataAccoglienza");
    ReportOutput("nomeFileAllegato");
    ReportOutput("dimensioneFileAllegato");
    ReportOutput("codiceEsito");
    ReportOutput("descrizioneEsito");
    ReportOutput("idErrore");
    }

error_log("done ".$_SERVER['PHP_SELF'], 0);
echo "<p><h4>FINE DEL LAVORO</h4></p>";


function ReportOutput($var)
    {
    global $output;
    error_log($var." = ".$output->return->{$var}, 0);
    echo $var." = ".$output->return->{$var}."<br />";
    }
?>
